--- incith-horoscope-r114.tcl	2010-01-22 05:37:17.000000000 -0500
+++ eggdrop/scripts-trivsta/incith-horoscope-r114.tcl	2010-01-22 05:49:16.000000000 -0500
@@ -266,10 +266,12 @@
       return
     }
     # valid, set our url
-    set input(url) "http://horoscopes.astrology.com/daily${input(query)}.html"
+    set input(url) "http://www.astrology.com/horoscopes/${input(query)}"
+    set input(signtype) "zodiac"
     foreach sign [split ${incith::horoscope::en_chinese} " "] {
       if {$input(query) == $sign} {
         set input(url) "http://horoscopes.astrology.com/dailychinese${input(query)}.html"
+        set input(signtype) "chinese"
         break
       }
     }
@@ -409,8 +411,11 @@
     # html parsing
     #
     # fetch the sign and the horoscope
-    regexp {<div class="all_about_head_pad">ALL ABOUT (.+?)</div>} $html - output(sign)
+    if {$output(signtype) == "zodiac"} {
+        regexp {<div class='b-horoscopes_text.+? selected-sign'>(.*?)</div>} $html - output(horoscope)
+    } else {
     regexp {<span id="intelliTxt"><p .*?">(.*?)(?:</p>|</span>)} $html - output(horoscope)
+    }
 
     # check for errors
     if {![info exists output(horoscope)]} {
